<!--INICIO DO CONTEUDO-->
<section class="content-header">
  </section>

  <section class="content">
    <section class="invoice">

          <form [formGroup]="orderForm" novalidate>
            <div class="row">
              <div class="col-xs-12">
                <h2 class="page-header">
                  <i class="fa fa-shopping-cart"></i> Finalize o seu pedido
                </h2>
              </div>
            </div>       
            
            <div class="row">
              <div class="col-xs-12 col-sm-9">
                <p class="lead">Seus Dados:</p>
              </div>

              <div class="col-xs-12 col-sm-3">
                <span class="help-block pull-right has-error-block" *ngIf="orderForm.hasError('emailsNotMatch')">
                  <i class="fa fa-remove"></i> E-mails não conferem!
                </span>
              </div>

              <div class="col-sm-6 col-xs-12">
                  <mt-input-container errorMessage="Campo obrigatório e com mínimo de 5 caracteres" label="Nome">
                    <input class="form-control" formControlName="name" autocomplete="off" placeholder="Nome" />
                  </mt-input-container>
                </div>

                <div class="col-sm-3 col-xs-12">
                    <mt-input-container errorMessage="E-mail inválido" label="E-mail">
                      <input class="form-control" formControlName="email" autocomplete="off" placeholder="E-mail" />
                    </mt-input-container>
                  </div>

                  <div class="col-sm-3 col-xs-12">
                      <mt-input-container errorMessage="E-mail inválido" label="Confirmação do E-mail">
                        <input class="form-control" formControlName="emailConfirmation" autocomplete="off" placeholder="Confirmação do E-mail" />
                      </mt-input-container>
                    </div>
            </div>

            <div class="row invoice-info">
              <div class="col-xs-12">
                <p class="lead">Endereço de Entrega:</p>
              </div>
              <div class="col-sm-6 col-xs-12">
                <mt-input-container errorMessage="Campo obrigatório e com mínimo de 5 caracteres" label="Endereço">
                  <input class="form-control" formControlName="address" autocomplete="off" placeholder="Endereço" />
                </mt-input-container>
              </div>
              <div class="col-sm-3 col-xs-6">
                <mt-input-container errorMessage="Obrigatório e somente números" label="Número">
                  <input class="form-control" formControlName="number" autocomplete="off" placeholder="Número" />
                </mt-input-container>
              </div>
              <div class="col-sm-3 col-xs-6">
                <mt-input-container label="Complemento">
                  <input class="form-control" formControlName="optionalAddress" autocomplete="off" placeholder="Complemento" />
                </mt-input-container>
              </div>
              <!-- /.col -->
            </div>
            <!-- /.row -->

            <!-- Table row -->
            <div class="row">
              <div class="col-xs-12">
                <p class="lead">Itens do Pedido:</p>
              </div>

              <mt-order-items [items]="cartItems()" (increaseQty)="increaseQty($event)" (decreaseQty)="decreaseQty($event)" (remove)="remove($event)">
              </mt-order-items>
              
              <!-- /.col -->
            </div>
            <!-- /.row -->

            <div class="row">
              <!-- accepted payments column -->
              <div class="col-sm-6 col-xs-12">
                <p class="lead">Formas de Pagamento:</p>

                  <div class="form-group">
                    <mt-radio [options]="paymentOptions" formControlName="paymentOption"></mt-radio>
                  </div>

              </div>
              <!-- /.col -->
              <div class="col-sm-6 col-xs-12">
                <p class="lead">Frete e Total:</p>

                <mt-delivery-costs [delivery]="delivery" [itemsValue]="itemsValue()">
                </mt-delivery-costs>
              </div>
              <!-- /.col -->
            </div>

          </form>

          <div class="row">
            <div class="col-xs-12">
              <button (click)="checkOrder(orderForm.value)" class="btn btn-success pull-right" [disabled]="!orderForm.valid || cartItems().length === 0">
                <i class="fa fa-credit-card"></i> Concluir Pedido
              </button>
            </div>
          </div>

      </section>
  </section>
  <!-- FIM DO CONTEUDO-->